#!/bin/sh

set -e

CINDER_CONF=/etc/cinder/cinder.conf

#PKGOS-INCLUDE#

if [ "$1" = "configure" ] || [ "$1" = "reconfigure" ] ; then
	. /usr/share/debconf/confmodule
	. /usr/share/dbconfig-common/dpkg/postinst

	pkgos_var_user_group cinder

	# we need few folders with cinder:cinder rights.
	mkdir -p /var/lib/cinder/cache
	mkdir -p /var/lib/cinder/volumes
	chown cinder:cinder /var/lib/cinder/cache
	chown cinder:cinder /var/lib/cinder/volumes

	pkgos_write_new_conf cinder cinder.conf
	pkgos_write_new_conf cinder api-paste.ini
	pkgos_write_new_conf cinder logging.conf
	if [ -r /etc/cinder/policy.json ] ; then
		mv /etc/cinder/policy.json /etc/cinder/disabled.policy.json.old
	fi
	db_get cinder/configure_db
	if [ "$RET" = "true" ]; then
		pkgos_dbc_postinst ${CINDER_CONF} database connection cinder $@
	fi
	pkgos_rabbit_write_conf ${CINDER_CONF} oslo_messaging_rabbit cinder
	pkgos_write_admin_creds ${CINDER_CONF} keystone_authtoken cinder
	db_get cinder/volume_group
	if [ -n "${RET}" ] ; then
		pkgos_inifile set ${CINDER_CONF} lvm volume_group ${RET}
	fi

	db_get cinder/my-ip
	if [ -n "${RET}" ] ; then
		pkgos_inifile set ${CINDER_CONF} DEFAULT my_ip ${RET}
	fi

	db_get cinder/glance-api-servers
	if [ -n "${RET}" ] ; then
		pkgos_inifile set ${CINDER_CONF} DEFAULT glance_api_servers ${RET}
	fi

	chmod 0440 /etc/sudoers.d/cinder-common
	db_get cinder/configure_db
	if [ "$RET" = "true" ]; then
		echo "Now calling cinder-manage db sync: this may take a while..."
		su -s /bin/sh -c 'cinder-manage db sync' cinder
	fi
	db_stop
fi

#DEBHELPER#

exit 0
